package main

import (
	"github.com/gin-gonic/gin"
	"log"
)

func main() {
	r := gin.Default()
	r.Use(gin.Recovery())
	r.POST("/register", register)
	r.GET("/list", list)
	r.GET("/detail", detail)
	r.GET("/health", health)

	if err := r.Run(":8080"); err != nil {
		log.Fatalf("err: %+v", err)
	}
}
